
#include "ModelInstance.h"
#include "MemoryManager/DebugNew.h"

using namespace RenderSystem;

ModelInstance::ModelInstance()
{
	this->normal = NULL;
	this->vertex = NULL;
	this->trisNormal = NULL;
	this->triangles = NULL;
	this->texCoord = NULL;

	this->isStatic = true;
	this->isGeometricalyStatic = true;
	this->rtex = NULL;
	this->model = NULL;
	this->animState.initDefault();
}

ModelInstance::~ModelInstance()
{
}

void ModelInstance::updateInstance_aabbAndAnimState(float time_ms)
{
	model->updateInstance_aabbAndAnimState(this,time_ms);
}

void ModelInstance::updateInstance_geometry()
{
	model->updateInstance_geometry(this);
}
